Bug 812908 - [abrt] abrt-addon-ccpp-2.0.10-1.fc17: abrt-action-install-debuginfo:45:sigterm_handler:NameError: global name 'clean_up' is not defined
[abrt] abrt-addon-ccpp-2.0.10-1.fc17: abrt-action-install-debuginfo:45:sigter...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: abrt
Fedora Extras Quality Assurance
abrt_hash:7cda86f67ee067127b3b37e07ce...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-16 10:29 EDT by Mads Kiilerich
Modified: 2012-10-24 15:30 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-24 15:30:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mads Kiilerich 2012-04-16 10:29:57 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        /usr/bin/python -u /usr/bin/abrt-action-install-debuginfo --size_mb=4096
executable:     /usr/bin/abrt-action-install-debuginfo
kernel:         3.3.0-8.fc17.i686.PAE
time:           Tue 10 Apr 2012 03:33:37 PM CEST
uid:            482
username:       abrt

backtrace:
:abrt-action-install-debuginfo:45:sigterm_handler:NameError: global name 'clean_up' is not defined
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/urlgrabber/grabber.py", line 1134, in _hdr_retrieve
:    def _hdr_retrieve(self, buf):
:  File "/usr/bin/abrt-action-install-debuginfo", line 45, in sigterm_handler
:    clean_up()
:NameError: global name 'clean_up' is not defined
:
:Local variables in innermost frame:
:frame: <frame object at 0x8e9f4e4>
:signum: 15
Comment 1 Jakub Filak 2012-10-24 15:30:30 EDT
Already fixed in git:

commit ed96a04e03462542d1384c12aa4330fa12e9a155
Author: Denys Vlasenko <vda.linux@googlemail.com>
Date:   Tue Apr 3 15:56:06 2012 +0200

    abrt-action-install-debuginfo: fix a problem with clean_up() not imported
    
    Hopefully fixes the foloowing:
    
    Analyzing coredump 'coredump'
    Coredump references 132 debuginfo files, 102 of them are not installed
    Setting up yum repositories
    Traceback (most recent call last):
      File "/usr/lib/python2.7/site-packages/urlgrabber/grabber.py", line 1134, in _hdr_retrieve
        def _hdr_retrieve(self, buf):
      File "/usr/bin/abrt-action-install-debuginfo", line 45, in sigterm_handler
        clean_up()
    NameError: global name 'clean_up' is not defined
    
    Signed-off-by: Denys Vlasenko <vda.linux@googlemail.com>

Note You need to log in before you can comment on or make changes to this bug.